Forum update from very old version

Get help with installation and running phpBB 3.2.x here. Please do not post bug reports, feature requests, or extension related questions here.
Post Reply
Brian.Romer
Registered User
Posts: 3
Joined: Mon Nov 12, 2018 7:17 pm

Forum update from very old version

Post by Brian.Romer » Mon Nov 12, 2018 7:27 pm

Hi there,
I have a huge problem with my website which is a community for house owners. My problem is that I have not been updating the phpbb3 for a looooong time, resulting in huge problems trying to update it in order to be ready for the Php7 (currently running Php5.6).
First I tried to upload the 3.2.3 version but when I try to point at the install folder from phpbb3 maintenance, it says File not found (index.html in the new version vs. my current index.php, I guess?).
So I tried to download 3.1.14, which when I download it, is 3.1.12. This is a bit better but I still get an error message:
Warning: require(./../phpbb/class_loader.php): failed to open stream: No such file or directory in /customers/f/0/7/MYSITE.dk/httpd.www/forum/install/index.php on line 42 Fatal error: require(): Failed opening required './../phpbb/class_loader.php' (include_path='.:/usr/share/php') in /customers/f/0/7/MYSITE.dk/httpd.www/forum/install/index.php on line 42
Any ideas?

Is the way to fix this to install a new version, maybe except files, config and whatever files needed to keep my old tree? Or a clean install and use my database backup?

Any fix solutions are welcome as my current php version goes invalid end of december.

/BR
Brian

User avatar
kinerity
Community Team Member
Community Team Member
Posts: 1972
Joined: Mon Sep 01, 2014 1:00 am
Location: sudo rm -rf /
Name: Kailey Truscott
Contact:

Re: Forum update from very old version

Post by kinerity » Mon Nov 12, 2018 7:43 pm

For upgrading from 3.0

Notes:
  • Your server must be running at least PHP 5.4.7 or higher.
  • phpBB 3.2 is not compatible with 3.0 and most of the previous files will need to be removed prior to upgrading.
  • Styles and MODs from 3.0 cannot be installed on phpBB 3.2. To upgrade, perform the following steps:
  1. Make a back-up of the original files and database
  2. Deactivate all styles except for prosilver
  3. Remove all MOD-related changes from the database. The Support Toolkit's Database Cleaner can be used for this.
  4. Ensure that the activated spambot countermeasure is one of the standard phpBB plugins (Simple image, GD image, GD 3D image, Q&A, reCaptacha).
  5. Set British English as the only language pack and delete all other language pack directories from your server
  6. Delete all of your phpBB 3.0.x files EXCEPT for the following:
    • The config.php file
    • The /images/ directory
    • The /files/ directory
    • The /store/ directory
  7. Upload the contents of the phpBB3 directory from the uncompressed 3.2.x Full Package (EXCEPT for config.php) into your forum's directory (Note: you don't want to overwrite your original config.php file)
  8. Browse to www.example.com/install/
  9. Click the Update tab
  10. Click the Update button
  11. Select "Update database only" and click Submit
  12. Wait for the progress bar to reach 100% and for a message indicating that the update has completed
  13. Delete or rename the /install/ directory
Kailey Truscott - Community Team

User avatar
warmweer
Registered User
Posts: 1466
Joined: Fri Jul 04, 2003 6:34 am
Location: Van Allen Belt ... well actually Belgium

Re: Forum update from very old version

Post by warmweer » Mon Nov 12, 2018 7:51 pm

Brian.Romer wrote:
Mon Nov 12, 2018 7:27 pm
So I tried to download 3.1.14, which when I download it, is 3.1.12.
Where did you find a 3.1.14 to download?
3.1.12 is the latest version (of 3.1) and 3.0.14 is the latest 3.0
A bug is a feature that hasn't made it to the manual (yet)

Brian.Romer
Registered User
Posts: 3
Joined: Mon Nov 12, 2018 7:17 pm

Re: Forum update from very old version

Post by Brian.Romer » Mon Nov 12, 2018 7:55 pm

@kinerity: Ok, and if it fails, I can still re-upload my old folders and retrieve the old version although it will expire?
I am a bit nervous to lose all the posts I made in my current forum, so I hope that it is not lost when updating?
Also, how can I update to the new 3.2 version when it points to index.htm and gives me a missing page error?
Furthermore, when I click the Spambot section I get error message: captcha_factory is missing.

@warmveer: I think I read it wrong. You are right about the version :)

User avatar
Lumpy Burgertushie
Registered User
Posts: 65319
Joined: Mon May 02, 2005 3:11 am
Contact:

Re: Forum update from very old version

Post by Lumpy Burgertushie » Mon Nov 12, 2018 8:19 pm

there is no index.htm in the root of phpbb and there is no place in the update or install that calls for one.

not sure what you are doing that would give that error.

follow those instructions posted above, exactly and in order and it should work. also, as long as you have a database backup you can not break it where a few clicks won't restore it .


robetrt
I am available for custom work on a donation basis. Please send me a PM with your needs.

Premium phpBB 3.2 Styles by PlanetStyles.net

OK, so what's the speed of dark?

Brian.Romer
Registered User
Posts: 3
Joined: Mon Nov 12, 2018 7:17 pm

Re: Forum update from very old version

Post by Brian.Romer » Mon Nov 12, 2018 8:21 pm

No clue what happened just now or before but it seemed to work this time. Updated to 3.2.3.
This topic can be closed.

Post Reply

Return to “[3.2.x] Support Forum”

Who is online

Users browsing this forum: </Solidjeuh>, AmigoJack, Bermudez, droomeg, kasimi and 29 guests